/* width of the content is limited to maximum of 1140 pixels */
	
body {
	max-width: 1140px;
	margin-left: auto;
	margin-right: auto;
	padding-top: auto;
	left: auto;
	right: auto;
}


.row{
	margin-left: 0px;
	margin-right: 0px;

}

/* this class helps to obfuscate email addresses (hide them from bots) by reversing direction of text */
.changetextdirection {
	unicode-bidi: bidi-override;
	direction: rtl;
}

.BSCbanner {
	max-width: 100%;
	margin-top: 10px;
}

	
.navbar {
	max-width: 1140px;
	margin-left: auto;
	margin-right: auto;
}

/* HTML5 guidelines require that h1 and h2 tags are used for section headings */
/* default font sizes defiend in Bootstrap are too large, we redefine them here */

h1 {
font-size: 22px !important;
margin-top: 10px;
margin-bottom: 10px;
}

h2 {
font-size: 16px !important;
font-weight: bold !important;
margin-top: 15px;
margin-bottom: 10px;
font-family: inherit;
font-weight: 500;
line-height: 1.1;
color: inherit;
}


@media screen and (min-width: 768px) {
.nav > li > a {
	padding-right: 10px;
	padding-left: 10px;
}
}

@media screen and (min-width: 768px) {
    .navbar-right {
	margin-right: 0px !important;
  }
}

@media screen and (max-width: 768px) {
.nav > li > a {
	padding-right: 10px;
	padding-left: 30px;
}
}


/* this CSS overrides some standard Bootstrap padding settings */

.container-fluid {
	padding-left: 0px;
	padding-right: 0px;
}


/* this CSS overrides default Bootstrap "grey text on blue background" setting for active submenu item */
.dropdown-menu>.active>a {
	background-color: #e7e7e7 !important;
	color: #262626 !important;
}


/* this is to make sure the login button is not too close to the right edge of the screen */
/*
ul.navbar-right li a {
	padding-right: 15px;
} 
*/

/* the next class is required by IE11 to work correctly */
.img-responsive {
	width: 100%
}


/* the following CSS fixed the issue with compatibility with IE11 whereby
navigation/banner are not centered on the screen */	
.navbar.navbar-default {
  max-width: 1140px;
  margin: 0 auto;
  width: 100%;
 }

 
 /* scroll-buffer is the class for div which separates fixed at the top of the screen menu
from scrollable content. It is just a white place holder. Menu height gets taller by the 
height of this div. Margin-bottom -1 px eliminates the grey line that comes from the menu. */
.scroll-buffer {
	height: 5px;
	background-color: white;
    margin-bottom: -1px;
}


/* Sidepane and centerpane classes are used on home page in first row which has two sidepanes with pictures on 
left and right and centerpane in the center */
.sidepane {
	background-color: #E5E5E5;
	padding-left:10px;
	padding-right: 10px;
	padding-top: 10px;}

.centerpane {
	background-color: #F7F5F5;
	padding-left: 20px;
	padding-right: 20px;
	padding-top: 10px;}


	
/* The next two CSS statements are used  to make height of all columns in a row [first row on home page] equal; */
/* this is a workaround of a Bootstrap deficiency */	
	
.row.match-my-cols {
    overflow: hidden; 
}

.row.match-my-cols [class*="col-"]{
    margin-bottom: -99999px;
    padding-bottom: 99999px;
}


/* this overrides the default Bootsrap setting of 6px img corner radius and makes it 9 px */

.img-rounded {  
      border-radius: 9px;  
    }  


	/* class FirstRow is used on home page, it is the row with seasonal pictures and description of the club */

.FirstRow {
	padding-top: 10px;
	margin-top: 10px;
}


/* class ContentRow is the second row on the home page (with announcements of news for members). 
The same class is used for content on other pages within the site */

.ContentRow {
background-color: #F7F5F5;
margin-top: 10px;
margin-left: 0;
margin-right: 0;
padding-left: 20px;
padding-right: 20px;
padding-top: 10px;
padding-bottom: 10px;
}


@media screen and (max-width: 768px) {
	.ContentRow {
padding-left: 8px;
padding-right: 8px;
}
}

/*make drop-down submenus slightly offset to the right */
@media screen and (max-width: 768px) {
	.dropdown-menu {
padding-left: 17px;
}
}

@media (max-width: 768px) {
  .container > .navbar-header,
  .container-fluid > .navbar-header,
  .container > .navbar-collapse,
  .container-fluid > .navbar-collapse {
    margin-right: -5px;
    margin-left: -5px;
  }
}

/* Third row on the home page contains images with biking, hiking, and skiig */
.ThirdRow {
	padding-top: 10px;
	padding-bottom: 10px;
	background-color: #F7F5F5;
    margin-top: 10px;
}


/* class "announcements" are used in the "Berkeley Ski Club News" section on home page */

.announcements {
	margin-top: 20px;
}

.announcements ul, .ContentRow ul {
	list-style-type: square;
}

.announcements li, .ContentRow li{
	margin: 0 0 6px 0;
}

	
div.announcements ul li {
	margin-left: -15px;
}


/* footer is used on every page within the site */

.footer {
	text-align: center;
	margin-top: 20px;
	background-color: #F7F5F5;
	color: #9C9B9B;
	font-size: 0.8em;
}

/* this class changes color of link to webmaster in the footer (default color is bright blue, I want it less bright) */

.footer a {
	color: #84A1CB;
}


/* the following classes are related to image galleries; Galleries are created using Carousel in Bootstrap */

.GalleryTitle  {
	text-align: center;
}

.GalleryCaption {
	text-align: center;
}

.Gallery {
	max-height: 550px;
	display: block;
}


#BSC-gallery-Carousel {
	height: auto;
	width: auto;
	overflow: hidden;
}

.carousel-inner > .item > img, carousel-inner > .item > a > img {

    width: auto;
    height: 400px !important;
	margin: 0 auto;
	text-align: center;
	line-height: 1;
	display: block;
}

@media screen and (max-width: 760px) {
	.carousel-inner > .item > img, carousel-inner > .item > a > img {

    width: auto;
    height: 220px !important;
	margin: 0 auto;
	text-align: center;
	line-height: 1;
	display: block;
    }
}

.carousel-indicators {
  bottom: 0px;
}


/* this class makes indicators square instead of round; comment it out to make them round again */

.carousel-indicators li {
	border-radius: 0px;
}


.carousel-controls {
  color: #565454}

/* change color and size of carousel controls and create shadow around them */

.carousel .glyphicon.glyphicon-chevron-right, .carousel .glyphicon.glyphicon-chevron-left{
   color: #565454;
   font-size: 40px;
   text-shadow: -2px 0 black, 0 2px black, 2px 0 black, 0 -2px black;
}

.GalleryCaption {
	font-size: 12px;
	color: grey;
	margin-top: 10px;
}



/* this class is used in Members Docs, copied from old site style sheet along with text of documents */
.indent {
    margin-left: 20px;
}


/* the following styles are used to format tables used for schedules of meetings, works weekends, and social events */
.schedule-table {
	border-collapse: collapse;
	width: 100%;
}


table {
	border: 1px solid grey;
	margin-bottom: 10px;
}

.schedule-table th {
	height: 50px;
	text-align: left;
	background-color: grey;
	color: white;
}

th, td {
	padding: 15px;
	text-aligh: left;
	border-bottom: 1px solid grey;
}

tr:hover {
	background-color: white;
	color: black;
	}

tr:nth-child(odd) {background-color: LightGrey ! important}


#appointed-positions th, #board-members th {
	height: 35px;
	text-align: left;
	background-color: grey;
	color: white;
	padding: 5px;
	border-bottom: 1px solid grey;
}


#appointed-positions tr, #board-members tr {
	height: 15px;
	text-align: left;
	text-aligh: left;
	border-bottom: 1px solid grey;
	padding: 5px;
}


#appointed-positions td, #board-members td {
	padding: 5px;
}


.table-col-position {
	width: 30%;
}
.table-col-name {
	width: 40%;
}

.table-col-contact {
	width: 30%;
}


.tab {
	margin-left: 30 px;
}

/* redefine color of <hr> tag. border-color works in Chrome and Safari, background-color works in Firefox and Opera, color works in IE7+ */

hr {
	color: darkgrey;
	border-color: darkgrey;
	background-color: darkgrey;
}


/*
/* classes for Login form */
/* */



/* login container */
.login-container {
	width: 400px;
	margin-left: 50px;
}


@media screen and (max-width: 760px) {
.login-container {
	width: 300px;
	margin-left: 0px;
}
}


form {
    border: 3px solid #f1f1f1;
}


/* Full-width inputs */
input[type=text], input[type=password] {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    box-sizing: border-box;
}


/* Set a style for buttons on login page */
.login-button {
    background-color: #6E6E6E;
    color: white;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    cursor: pointer;
    width: 100%;
}

/* Add a hover effect for buttons - button changes opacity when mouse pointer hovers over it */
button:hover {
    opacity: 0.8;
}


/* styles for ordered lists in the body of the site */
.contentOrderedList {
   margin-left: 15px;
   padding-left: 15px;
   }
   

/* Center the avatar image inside this container - currently not used */
.imgcontainer {
    text-align: center;
    margin: 24px 0 12px 0;
}



/* Add padding to containers */
.container {
    padding: 16px;
}


/* dashed divider is used on "Links" page */

hr.dashedDivider {
	border: 1px dashed #00127F; 
    border-style: none none dashed; 
    color: #fff; 
    background-color: #fff;
}

hr {
	border: 1px double; 
}


/* PRINT STYLING */
/* bootstrap uses "small screen" layout for printing */
/* CSS from "https://daneveland.com/content/printing-bootstrap" with a few minor changes */
/* many of the lines in the code below might not even be used on BSC website *?
/* it was easier to copy the whole thing */

@media print {

[class*="col-sm-"] {
	float: left;
}

[class*="col-xs-"] {
	float: left;
}

.col-sm-12, .col-xs-12 { 
	width:100% !important;
}

.col-sm-11, .col-xs-11 { 
	width:91.66666667% !important;
}

.col-sm-10, .col-xs-10 { 
	width:83.33333333% !important;
}

.col-sm-9, .col-xs-9 { 
	width:75% !important;
}

.col-sm-8, .col-xs-8 { 
/*	width:66.66666667% !important; */
	width:100% !important;  /* on front page of BSC site, info about the club is in col-sm-8 */
}

.col-sm-7, .col-xs-7 { 
	width:58.33333333% !important;
}

.col-sm-6, .col-xs-6 { 
	width:50% !important;
}

.col-sm-5, .col-xs-5 { 
	width:41.66666667% !important;
}

.col-sm-4, .col-xs-4 { 
	width:33.33333333% !important;
}

.col-sm-3, .col-xs-3 { 
	width:25% !important;
}

.col-sm-2, .col-xs-2 { 
	width:16.66666667% !important;
}

.col-sm-1, .col-xs-1 { 
	width:8.33333333% !important;
}
  
.col-sm-1,
.col-sm-2,
.col-sm-3,
.col-sm-4,
.col-sm-5,
.col-sm-6,
.col-sm-7,
.col-sm-8,
.col-sm-9,
.col-sm-10,
.col-sm-11,
.col-sm-12,
.col-xs-1,
.col-xs-2,
.col-xs-3,
.col-xs-4,
.col-xs-5,
.col-xs-6,
.col-xs-7,
.col-xs-8,
.col-xs-9,
.col-xs-10,
.col-xs-11,
.col-xs-12 {
float: left !important;
}

body {
	margin: 0;
	padding 0 !important;
	min-width: 768px;
}

.container {
	width: auto;
	min-width: 750px;
}

body {
	font-size: 12px;
	padding-top: 10px !important;
}

a[href]:after {
	content: none;
}

.noprint, 
div.alert, 
header, 
.group-media, 
.btn, 
.footer, 
form, 
#comments, 
.nav, 
ul.links.list-inline,
ul.action-links {
	display:none !important;
}

}
